// -*-C++-*-
//
// File:      HelpViewer.cc
// Author:    jbakker
// Generated: Tue Apr 11 16:05:28 MET DST 2000

#include "HelpViewer.h"
#include <iostream>
#include <cstdlib>                 // C headers

HelpViewer::HelpViewer()
{
}

HelpViewer::~HelpViewer()
{
}

string HelpViewer::browser() const
{
  return "netscape";
}

bool HelpViewer::browse(const string& url)
{  

  string remote(browser() + " -remote \"openURL(" + url + ")\"");
  string launch(browser() + " " + url + "&");

  if ( system(remote.c_str()) ){
    clog << "Trying to start netscape in the background ...";
    if ( system(launch.c_str()) ) {
      clog << "failed." << endl;
      return false;
    }
    else clog << "ok." << endl;
  }
  
  return true;
}
