// -*-C++-*-
//
// File:      DialogDll.cc
// Author:    jbakker
// Generated: Mon May 22 11:37:26 MET DST 2000

#include "DialogDll.h"
#include "SasFileLocator.h"

DialogDll::DialogDll()
{
  SasFileLocator locator("");
  if (!open(locator.locate("lib/libguiparam.so","not available",false)))
    errstr << "loading DLL guiparam, " << error() << Sas::error("DllNotFound");
}

DialogDll::~DialogDll()
{
}

bool DialogDll::exec(ParameterInfo* info)
{
  typedef bool (*PopUp)(ParameterInfo*);
  PopUp popup=(PopUp)function("popUpDialog");

  // What do we do if not available?
  if (! popup) 
    errstr << "using DLL guiparam, " << error() << Sas::error("DllNoFunction");

  // execute the dialog and return the result
  return (*popup)(info);
}

